<Application>
  <Instance Component="ocpi.core.file_read" Connect="drc" from="out" to="tx">
    <Property Name="fileName"       Value="/dev/zero"/>
    <Property Name="messagesInFile" Value="false"/>
  </Instance>
  <Instance Component="ocpi.core.file_write">
	  <Property Name="fileName" Value="timestamper_out.bin"/>
    <Property Name="messagesInFile" Value="true"/>
  </Instance>
  <Connection>
    <Port Instance="drc" Name="rx"/>
    <Port Instance="file_write" Name="in"/>
  </Connection>
  <!--==========================================================================-->
  <!-- The DRC component, specifying channel configurations -->
  <Instance Component="ocpi.platform.drc">
    <property name='configurations'
              Value="{description first,
	      channels {
	                        {rx true,
                                 tuning_freq_MHz 2450,
                                 bandwidth_3dB_MHz 10,
                                 sampling_rate_Msps 10,
                                 samples_are_complex true,
                                 gain_mode auto,
                                 tolerance_tuning_freq_MHz 0.01,
                                 tolerance_sampling_rate_Msps 0.01,
                                 tolerance_gain_dB 1},
                                {rx false,
                                 tuning_freq_MHz 2450,
                                 bandwidth_3dB_MHz 10,
                                 sampling_rate_Msps 10,
                                 samples_are_complex true,
                                 gain_mode manual,gain_dB -25,
                                 tolerance_bandwidth_3dB_MHz 0,
                                 tolerance_tuning_freq_MHz 0.01,
                                 tolerance_sampling_rate_Msps 0.01,
				 tolerance_gain_dB 1}
		         }
		 }"/>
    <property name='start' value='0'/>
  </Instance>
</Application>
